Priority (Apache Tomcat 8.5.94 API Documentation)

Package org.apache.tomcat.util.http.parser

## Class Priority

- java.lang.Object
- - org.apache.tomcat.util.http.parser.Priority

-     public class Priority
      extends java.lang.Object

  HTTP priority header parser as per RFC 9218.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static boolean` | `DEFAULT_INCREMENTAL` |
    `static int` | `DEFAULT_URGENCY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Priority()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getIncremental()` |
    `int` | `getUrgency()` |
    `static Priority` | `parsePriority​(java.io.Reader input)` | Parsers an HTTP header as a Priority header as defined by RFC 9218.
    `void` | `setIncremental​(boolean incremental)` |
    `void` | `setUrgency​(int urgency)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_URGENCY

          public static final int DEFAULT_URGENCY

      See Also:
        Constant Field Values

    - #### DEFAULT_INCREMENTAL

          public static final boolean DEFAULT_INCREMENTAL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Priority

          public Priority()

  - ### Method Detail

    - #### getUrgency

          public int getUrgency()

    - #### setUrgency

          public void setUrgency​(int urgency)

    - #### getIncremental

          public boolean getIncremental()

    - #### setIncremental

          public void setIncremental​(boolean incremental)

    - #### parsePriority

          public static Priority parsePriority​(java.io.Reader input)
                                        throws java.io.IOException

      Parsers an HTTP header as a Priority header as defined by RFC 9218.
      Parameters:
        `input` - The header to parse
      Returns:
        The resulting priority
      Throws:
        `java.io.IOException` - If an I/O error occurs while reading the input